# Distributed Interactive Simulation (DIS) 101 Tutorial: The Basics <img src="IITSEC2020_highres_small.jpg" align="right"/>

* <a href="http://www.iitsec.org" target="_blank">Interservice/Industry Training, Simulation Education Conference (I/ITSEC)</a>,  30 November - 4 December 2019, Orlando Florida USA

* <a href="mailto:brutzman@nps.edu?subject=IITSEC%202019%20DIS%20101%20Tutorial">Don Brutzman</a> and
<a href="mailto:christian.fitzpatrick@nps.edu?subject=IITSEC%202019%20DIS%20101%20Tutorial">Chris Fitzpatrick</a> of
<a href="https://my.nps.edu/web/moves">Modeling Virtual Environments Simulation (MOVES) Institute</a> at <a href="https://www.nps.edu" target="_blank">Naval Postgraduate School (NPS)</a>
	
The Distributed Interactive Simulation (DIS) protocol is a well-established IEEE standard for packet-level exchange of state information between entities in military simulations.  DIS facilitates simulation interoperability through a consistent over-the-wire format for information, widely agreed upon constant enumeration values, and community-consensus semantics.

Anyone can obtain the IEEE-1278 standard and implement their own compliant, interoperable, DIS application. A large variety of tools and codebases simplify this effort, and enable multi-architecture integration of simulations using the DIS stand baseline. DIS focus begins with real-time, physics-based, entity-scale simulations, providing state update and interaction mechanisms which can scale to large virtual environments.

This tutorial is a "DIS 101" introduction for software implementers and an introduction to the DIS philosophy for simulation systems integrators.  Examples are provided using the open-source Open-DIS library for DIS v7 support, available in multiple programming languages.  Ongoing work is included in WebRTC browser streaming, unit testing of DIS streams, and Web-based implementations using 2D maps and X3D Graphics. 

Motivation: note that DIS can be used for connecting all manner of simulations, namely Live Virtual Constructive LVC, is the necessary path for connecting to Command and Control (C2) systems.  Establishing such connections between traditionally separate domains is central to conference theme,
"The Future is Now."

This tutorial was well received at IITSEC 2019.
* <a href="https://www.web3d.org/event/iitsec-2019-tutorial-distributed-interactive-simulation-dis-101" target="_blank">Web3D Consortium Announcement</a>
* <a href="https://twitter.com/Web3DConsortium/status/1201910039511851008" target="_blank">Twitter thread</a> and <a href="IITSEC2019Dis101TutorialRoom.jpg">photo</a>

Multiple new capabilities are undergoing development for IITSEC 2020.
* Improved Java enumerations (over 22,000 values) regularly autogenerated,
* Improved OpenDIS7 library with full coverage of all 72 PDUs and growing set of examples,
* Thesis work to support unit testing of simulations via DIS streams and LVC connectivity including Extensible 3D Graphics (X3D) Standard,
* Planned work in Compressed DIS (C-DIS) encoding and DIS version 8 development.

<blockquote>*Abstract*.
The Distributed Interactive Simulation (DIS) protocol is a well-established IEEE standard for packet-level exchange of state information between entities in military simulations.  DIS facilitates simulation interoperability through a consistent over-the-wire format for information, widely agreed upon constant enumeration values, and community-consensus semantics.


Anyone can obtain the IEEE-1278 standard and implement their own compliant, interoperable, DIS application. A large variety of tools and codebases simplify this effort, and enable multi-architecture integration of simulations using the DIS stand baseline. DIS focus begins with real-time, physics-based, entity-scale simulations, providing state update and interaction mechanisms which can scale to large virtual environments.


This tutorial is a "DIS 101" introduction for software implementers and an introduction to the DIS philosophy for simulation systems integrators.  Examples are provided using the open-source Open-DIS library for DIS v7 and Enumerations support, available in multiple programming languages.  Ongoing work is included in unit testing of DIS streams, and Web-based implementations using X3D Graphics, as well as Compressed DIS and DISv8 development.
</blockquote>

Grateful acknowledgement: this tutorial was originally developed by Don McGregor NPS.
